%define major		0
%define	libname		%mklibname %{name} %{major}
%define	libname_devel	%{libname}-devel

Summary:	GNOME Object Activation Framework
Name:		oaf
Version:	0.6.10
Release:	%mkrel 17
License:	LGPL/GPL
Group:		Graphical desktop/GNOME
BuildRequires:	bison, flex, ORBit-devel, popt-devel, libxml-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	gettext-devel

Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	xml-i18n-tools.m4
# (fc) 0.6.10-3mdk don't add -L/usr/lib to ldflags and -I/usr/include to cflags
Patch0:		oaf-0.6.10-libdir.patch
# (fc) 0.6.10-10mdk fix automake 1.8 warning
Patch1:		oaf-0.6.10-am18.patch
# (fc) 0.6.10-17mdv fix build with latest automake
Patch2:		oaf-0.6.10-fixbuild.patch
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

%package -n %{libname}
Requires:	oaf >= %{version}
Summary:	%{summary}
Group:		%{group}

%description -n %{libname}
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

%package -n %{libname_devel}
Provides:	lib%{name}-devel
Summary:	Development libraries and headers for OAF
Group:		Graphical desktop/GNOME
Requires:	%{libname} = %{version}
Requires:   ORBit-devel
Requires:   popt-devel
Obsoletes:	oaf-devel
Provides:	oaf-devel = %{version}

%description -n %{libname_devel}
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

This package contains the header files and libraries needed to develop
applications using OAF.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .am18
%patch2 -p1 -b .fixbuild
# adapt for gettext >= 0.14.2 (avoid patch)
grep -q gt_LC_MESSAGES %{_datadir}/aclocal/lcmessage.m4 &&
perl -pi -e 's/^(\s+)AM_(LC_MESSAGES)/${1}gt_${2}/' acinclude.m4
cat %{SOURCE1} >> acinclude.m4
libtoolize --force
aclocal
automake --add-missing
autoconf

%build
%configure2_5x --disable-gtk-doc
%make
#make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/oaf-config

# Remove unpackaged file
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/oaf-empty-server

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/oafd
%{_bindir}/oaf-client
%{_bindir}/oaf-slay
%{_bindir}/oaf-sysconf
%{_bindir}/oaf-run-query
%{_datadir}/oaf
%{_datadir}/idl/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/oaf

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{libname_devel}
%defattr(-, root, root)
%{_bindir}/oaf-config
%multiarch %{multiarch_bindir}/oaf-config
%{_libdir}/*a
%{_libdir}/*so
%{_libdir}/*Conf.sh
%{_includedir}/liboaf
%{_datadir}/aclocal/*


%changelog
* Wed Sep 05 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6.10-17mdv2008.0
+ Revision: 79858
- bunzip patches
- Regenerate patch1 to fix new automake warnings
- Patch2: fix build with latest automake
- Import oaf



* Thu Oct  6 2005 Gtz Waschk <waschk@mandriva.org> 0.6.10-16mdk
- fix buildrequires

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6.10-15mdk
- adapt for gettext >= 0.14.2 (gt_LC_MESSAGES)

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.10-14mdk
- cleanups for libdir patch and multiarch support

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.10-13mdk 
- Fix build

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 0.6.10-12mdk
- BuildRequires byacc --> bison

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.10-11mdk
- fix buildrequires

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.10-10mdk
- Patch1: fix automake 1.8 warning

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.10-9mdk
- libtool fixes

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.10-8mdk
- Use Mdk optimizations, oaf now passes my own test suite

* Fri Aug  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.10-7mdk
- Fix Requires, factorize mklibname uses

* Sun Jul 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.10-6mdk
- revert changes about -mcpu=pentiumpro, some other tests haven't been done(sorry fred)

* Sun Jul 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.10-5mdk
- use %%mklibname
- rebuild for new devel provides
- activate -mcpu=pentiumpro, test runs fine with gcc-3.3.1

* Sat May 24 2003 Stefan van er Eijk <stefan@eijk.nu> 0.6.10-4mdk
- remove unpackaged file

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.10-3mdk
- Patch0: don't add -L/usr/lib to ldflags and -I/usr/include to cflags

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.10-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.10-1mdk
- Release 0.6.10

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.9-1mdk
- Release 0.6.9
- Disable tests, they seems to have some problems

* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.6.8-3mdk
- integrated Basque translation

* Mon Feb 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.8-2mdk
- Add missing dependencies in -devel package

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.8-1mdk
- Release 0.6.8
- Remove patch0 (merged upstream)
- Add more optimizations

* Mon Dec 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.7-3mdk
- Fix optimizations 
- Use makeinstall_std macro
- Patch0 (GNOME CVS): fix oaf-slay username detection, multiple activation prb

* Sat Nov 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.6.7-2mdk
- Use %%configure macro, and enable optimizations, on non-x86
- Use %%configure macro, and leave optimizations disabled, on x86
- Use 'make DESTDIR='

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.7-1mdk
- Release 0.6.7
- Remove patch0 & 1 (merged upstream)
- Fix libification

* Tue Oct  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-4mdk
- Patch1: Open the lock file read/write (GNOME CVS)

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.6-3mdk
- BuildRequires: byacc, flex
- Removed BuildRequires: zlib-devel

* Tue Sep  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-2mdk
- Patch0: disable registration info if debug is off (GNOME CVS)

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-1mdk
- Yeppee. Stable release 0.6.6

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-0.20010810.1mdk
- New CVS snapshot (should fix memory leaks)

* Wed Aug  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-0.20010711.2mdk
- Disable optimization : this was breaking Nautilus HTML/Text component selection

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-0.20010711.1mdk
- Snapshot from CVS : should fix slowness with old oafd processes

* Fri Mar  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-1mdk
- Release 0.6.5
- Remove regeneration of aclocal.m4 and configure

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-1mdk
- Release 0.6.4
- Force regeneration of aclocal.m4 and configure to correctly detect perl

* Fri Feb 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.3-1mdk
- Release 0.6.3

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2

* Tue Dec  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-3mdk
- Provides and Obsoletes oaf-devel

* Fri Nov 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.6.1-2mdk
- added locales (find_lang macro)
- added idl files (revealed by gnumeric compilations problems)
- added oaf-sysconf and oaf-run-query binaries
- complete /usr/share/oaf folder

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1
- Rename packages

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- Release 0.6.0

* Mon Sep 18 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5.1-3mdk
- BuildConflits: libxml2-devel
- Make rpmlint happy

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.1-2mdk
- add things in /etc.

* Mon Aug 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.1-1mdk
- remove docdir, no use.!
- new and shiny version.

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.0-1mdk
- new and shiny version of oaf.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.4.0-1mdk
- Packaged for mandrake. Needed for gnucash/gtkhtml
